<script setup lang="ts">
import { computed } from 'vue';
import { useI18n } from 'vue-i18n';

interface Crumb {
  title: string;
  href: string;
}

const props = defineProps<{
  label: string;
  variant: string;
}>();

const { locale, fallbackLocale, t } = useI18n();

const crumbs = computed<Crumb[]>(() => {
  const currentLocale = locale.value.toLowerCase() !== fallbackLocale.value ? `/${locale.value}` : '';
  return [
    { title: 'Blog', href: `${currentLocale}/blog/` },
    { title: props.label, href: '' },
  ];
});
</script>

<template>
  <SlpContainer>
    <div class="categories-hero">
      <CommonBreadcrumbs :crumbs="crumbs" />
      <SlpTypography variant="heading2-bold" tag="h1">
        {{ t(`blog.${variant}Page.header`, { label: props.label }) }}
      </SlpTypography>
    </div>
  </SlpContainer>
</template>
